Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Interface Entry

Field Summary
`int` | `DEFAULT_CAPACITY`
`int` | `MAXIMUM_CAPACITY`
`int` | `MINIMUM_CAPACITY`
`CacheEntry` | `cachedMethod`
`CacheEntry` | `cachedMethodForSuper`
`CacheEntry` | `cachedStaticMethod`
`Class` | `cls`
`int` | `hash`
`Object` | `methods`
`Object` | `methodsForSuper`
`String` | `name`
`Entry` | `nextClassEntry`
`Entry` | `nextHashEntry`
`int` | `size`
`Object` | `staticMethods`
`def` | `table`
`int` | `threshold`

Method Summary
`def` | `MetaMethodIndex(CachedClass theCachedClass)`
`Object` | `addMethodToList(Object o, MetaMethod method)`
`void` | `clear()`
`void` | `clearCaches()`
`void` | `clearCaches(String name)`
`void` | `copy(Class c, Header index)`
`void` | `copy(Header from, Header to)`
`void` | `copyAllMethods(Entry from, Header to)`
`void` | `copyAllMethodsToSuper(Header from, Header to)`
`void` | `copyAllMethodsToSuper(Entry from, Header to)`
`void` | `copyMethodsToSuper()`
`void` | `copyNonPrivateMethods(Class from, Class to)`
`void` | `copyNonPrivateMethods(Header from, Header to)`
`void` | `copyNonPrivateMethods(Entry from, Header to)`
`void` | `copyNonPrivateMethodsDown(Class from, Class to)`
`void` | `copyNonPrivateMethodsFromSuper(Header from)`
`void` | `copyNonPrivateMethodsFromSuper(Entry e)`
`void` | `copyNonPrivateNonNewMetaMethods(Header from, Header to)`
`void` | `copyNonPrivateNonNewMetaMethods(Entry from, Header to)`
`int` | `findMatchingMethod(FastArray list, MetaMethod method)`
`EntryIterator` | `getEntrySetIterator()`
`Header` | `getHeader(Class cls)`
`Entry` | `getMethods(Class cls, String name)`
`Entry` | `getOrPutMethods(String name, Header header)`
`def` | `getTable()`
`boolean` | `hasNext()`
`static int` | `hash(int h)`
`void` | `init(int initCapacity)`
`boolean` | `isEmpty()`
`boolean` | `isMatchingMethod(MetaMethod aMethod, MetaMethod method)`
`boolean` | `isNonRealMethod(MetaMethod method)`
`Entry` | `next()`
`void` | `resize(int newLength)`
`int` | `size()`
`String` | `toString()`

Method Detail

### MetaMethodIndex

    public def MetaMethodIndex(CachedClass theCachedClass)

### addMethodToList

    public Object addMethodToList(Object o, MetaMethod method)

### clear

    public void clear()

### clearCaches

    public void clearCaches()

### clearCaches

    public void clearCaches(String name)

### copy

    public void copy(Class c, Header index)

### copy

    public void copy(Header from, Header to)

### copyAllMethods

    void copyAllMethods(Entry from, Header to)

### copyAllMethodsToSuper

    public void copyAllMethodsToSuper(Header from, Header to)

### copyAllMethodsToSuper

    void copyAllMethodsToSuper(Entry from, Header to)

### copyMethodsToSuper

    public void copyMethodsToSuper()

### copyNonPrivateMethods

    public void copyNonPrivateMethods(Class from, Class to)

### copyNonPrivateMethods

    public void copyNonPrivateMethods(Header from, Header to)

### copyNonPrivateMethods

    void copyNonPrivateMethods(Entry from, Header to)

### copyNonPrivateMethodsDown

    public void copyNonPrivateMethodsDown(Class from, Class to)

### copyNonPrivateMethodsFromSuper

    public void copyNonPrivateMethodsFromSuper(Header from)

### copyNonPrivateMethodsFromSuper

    void copyNonPrivateMethodsFromSuper(Entry e)

### copyNonPrivateNonNewMetaMethods

    public void copyNonPrivateNonNewMetaMethods(Header from, Header to)

### copyNonPrivateNonNewMetaMethods

    void copyNonPrivateNonNewMetaMethods(Entry from, Header to)

### findMatchingMethod

    int findMatchingMethod(FastArray list, MetaMethod method)

### getEntrySetIterator

    public EntryIterator getEntrySetIterator()

### getHeader

    public Header getHeader(Class cls)

### getMethods

    public Entry getMethods(Class cls, String name)

### getOrPutMethods

    public Entry getOrPutMethods(String name, Header header)

### getTable

    public def getTable()

### hasNext

    public boolean hasNext()

### hash

    public static int hash(int h)

### init

    public void init(int initCapacity)

### isEmpty

    public boolean isEmpty()

### isMatchingMethod

    boolean isMatchingMethod(MetaMethod aMethod, MetaMethod method)

### isNonRealMethod

    boolean isNonRealMethod(MetaMethod method)

### next

    public Entry next()

### resize

    public void resize(int newLength)

### size

    public int size()

### toString

    public String toString()